Get information about all webhooks
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/webhooks
Path Parameters
- clientIdinteger<int64>requiredDescriptionFormatint64
Query Parameters
- sortstringDescriptionDefaultCREATEDAllowedIDMAILING_GROUPTYPENAMETEMPLATESTATUSPAYLOAD_FORMATTARGET_URLINTEGRATION_IDAUTHENTICATIONDATACREATEDMODIFIED
- directionstringDescriptionDefaultDESCAllowedASCDESC
- offsetinteger<int32>DescriptionFormatint32
- limitinteger<int32>DescriptionFormatint32
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Responses
200
- RestWebhook[]
- idinteger<int64>DescriptionFormatint64
- typestring<open | click | sent | bounce | unsubscribe | spamcomplaint | webhooknode | singleoptin | confirmedoptin | doubleoptin | blocklist | archived | filteredbyblocklist>DescriptionAllowedopenclicksentbounceunsubscribespamcomplaintwebhooknodesingleoptinconfirmedoptindoubleoptinblocklistarchivedfilteredbyblocklist
- statusstring<created | activated | deactivated | deleted | suspended>DescriptionAllowedcreatedactivateddeactivateddeletedsuspended
- formatstring<json>DescriptionAllowedjson
- targetUrlstringDescription
- authenticationWebhookAuthenticationDescription
- typestringrequired
- createdstring<date-time>DescriptionFormatdate-time
- modifiedstring<date-time>DescriptionFormatdate-time
curl
curl --request GET \
--url 'https://api.campaign.episerver.net/rest/{clientId}/webhooks?sort=CREATED&direction=DESC' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/webhooks?sort=CREATED&direction=DESC", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/webhooks?sort=CREATED&direction=DESC")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/webhooks?sort=CREATED&direction=DESC"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The webhooks were retrieved successfully (empty result if none was found).
[
{
"id": "",
"type": "",
"status": "",
"format": "",
"targetUrl": "",
"authentication": {
"type": ""
},
"created": "",
"modified": ""
}
]